post
https://saner.secpod.com/AncorWebService/perform
This method allows you to upload different executable files such as .exe, .dmg, Linux binaries etc. Users can provide URL encoded value in the ‘filename’ field. The field ‘data’ will only accept Base64 encoded content of the installer binary.
The field ‘data’ will only accept Base64 encoded content of the installer binary.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| data | Base64 encoded installer binary content | Yes | string |
| name | Name of the software | No | string |
| filename | Installer file name (URL-encoded allowed) | Yes | string |
| family | Operating system family (e.g., windows, linux, mac) | No | string |
| version | Software version | No | string |
| architecture | System architecture (e.g., x86) | No | string |
| category | Software category | No | string |
| installoption | Installation options/arguments | No | string |
| publisher | Software publisher name | No | string |
| description | Description of the software | No | string |
| accountid | Account identifier | Yes | string |
